<?php

namespace App\Model;

use Nette;

/**
 * Class for handling activities related to period TSP cycle
 * @package App\Model
 */
class PeriodManager {

    use Nette\SmartObject;

    private Nette\Database\Explorer $database;

    public function __construct(Nette\Database\Explorer $database) {
        $this->database = $database;
    }

    /**
     * Function returns all period records
     * @return Nette\Database\Table\Selection
     */
    public function getAllPeriods() {
        return $this->database->table('PERIOD');
    }

    /**
     * Function create new period record with given name
     * @param $name period name
     */
    public function createPeriod($name) {
        $this->database->table('PERIOD')->insert([
            'label' => $name,
        ]);
    }
}