<?php

namespace App\Presenters;

use App\Model\TeamManager;

/**
 * Presenter class to handle requests to page with incomplete teams
 */
class IncompleteTeamsPresenter extends BasePresenter {

    protected TeamManager $teamManager;

    public function __construct(TeamManager $teamManager) {
        parent::__construct();

        $this->teamManager = $teamManager;
    }

    public function renderDefault() {
        $this->template->teams = $this->teamManager->getIncompleteTeams();
        $this->template->teamManager = $this->teamManager;
    }

}