<?php
/**
 * TEST: Test actions for validate project other links
 * @testCase
 */

use App\Model\Utils;
use Tester\Assert;

require __DIR__ . '/bootstrap.php';

class ProjectOtherLinksValidateStructureTest extends Tester\TestCase
{


    /**
     * @test
     */
    public function testOtherUrlsSingle() {
        $otherUrls = "FB;https://www.facebook.com";
        $expected = true;
        $actual = Utils::validateOtherProjectLinksFormat($otherUrls);
        Assert::equal($expected,$actual,"Urls: ".$otherUrls." are not in valid format!\n");
    }

    /**
     * @test
     */
    public function testOtherUrlTriple() {
        $otherUrls = "FB;https://www.facebook.com\nGOOGLE;https://www.google.com\nREDMINE;https://www.redmine.com";
        $expected = true;
        $actual = Utils::validateOtherProjectLinksFormat($otherUrls);
        Assert::equal($expected,$actual,"Urls: ".$otherUrls." are not in valid format!\n");
    }

    /**
     * @test
     */
    public function testOtherUrlWrong_1() {
        $otherUrls = "FB;https://www.facebook.comGOOGLE;https://www.google.com\nREDMINE;https://www.redmine.com";
        $expected = false;
        $actual = Utils::validateOtherProjectLinksFormat($otherUrls);
        Assert::equal($expected,$actual,"Urls: ".$otherUrls." are not in valid format!\n");
    }

    /**
     * @test
     */
    public function testOtherUrlWrong_2() {
        $otherUrls = "FB;https://www.facebook.comGOOGLE;www.google.com\nREDMINE;https://www.redmine.com";
        $expected = false;
        $actual = Utils::validateOtherProjectLinksFormat($otherUrls);
        Assert::equal($expected,$actual,"Urls: ".$otherUrls." are not in valid format!\n");
    }

    /**
     * @test
     */
    public function testOtherUrlWrong_3() {
        $otherUrls = "FB;https://www.facebook.comGOOGLE;www.google.comps://www.redmine.com";
        $expected = false;
        $actual = Utils::validateOtherProjectLinksFormat($otherUrls);
        Assert::equal($expected,$actual,"Urls: ".$otherUrls." are not in valid format!\n");
    }

    /**
     * @test
     */
    public function testOtherUrlWrong_4() {
        $otherUrls = "FB;https://www.facebook.comGOOGLE;www.google.comps://www.redmine.com";
        $expected = false;
        $actual = Utils::validateOtherProjectLinksFormat($otherUrls);
        Assert::equal($expected,$actual,"Urls: ".$otherUrls." are not in valid format!\n");
    }

    /**
     * @test
     */
    public function testOtherUrlWrong_5() {
        $otherUrls = "FB;https://www.facebook.com\nGOOGLE;www.google.com\nREDMINE;https://www.redmine.com";
        $expected = false;
        $actual = Utils::validateOtherProjectLinksFormat($otherUrls);
        Assert::equal($expected,$actual,"Urls: ".$otherUrls." are not in valid format!\n");
    }

    /**
     * @test
     */
    public function testOtherUrlWrong_6() {
        $otherUrls = "";
        $expected = true;
        $actual = Utils::validateOtherProjectLinksFormat($otherUrls);
        Assert::equal($expected,$actual,"Urls: ".$otherUrls." are not in valid format!\n");
    }

}

(new ProjectOtherLinksValidateStructureTest())->run();
