-- MariaDB dump 10.19  Distrib 10.4.21-MariaDB, for Win64 (AMD64)
--
-- Host: 127.0.0.1    Database: PSTSP
-- ------------------------------------------------------
-- Server version	10.4.21-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `ASSIGNMENT`
--

DROP TABLE IF EXISTS `ASSIGNMENT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASSIGNMENT` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `name` text NOT NULL,
                              `description` longtext DEFAULT NULL,
                              `team_size` int(11) DEFAULT NULL,
                              `period` int(11) NOT NULL,
                              `user_id` int(11) DEFAULT NULL COMMENT 'mentor',
                              `contact_id` int(11) NOT NULL COMMENT 'zadavatel',
                              `duration` int(11) DEFAULT NULL,
                              `hidden` int(11) NOT NULL DEFAULT 0,
                              PRIMARY KEY (`id`),
                              KEY `fk_period_idx` (`period`),
                              KEY `fk_assignment_mentor_idx` (`user_id`),
                              KEY `fk_assignment_creator_idx` (`contact_id`),
                              CONSTRAINT `fk_assignment_creator` FOREIGN KEY (`contact_id`) REFERENCES `CONTACT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                              CONSTRAINT `fk_assignment_mentor` FOREIGN KEY (`user_id`) REFERENCES `USER` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                              CONSTRAINT `fk_assignments_periods` FOREIGN KEY (`period`) REFERENCES `PERIOD` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ASSIGNMENT`
--

LOCK TABLES `ASSIGNMENT` WRITE;
/*!40000 ALTER TABLE `ASSIGNMENT` DISABLE KEYS */;
INSERT INTO `ASSIGNMENT` VALUES (1,'Strojové zpracování vizuálního obsahu','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean vel massa quis mauris vehicula lacinia. Nullam sit amet magna in magna gravida vehicula. Aliquam ornare wisi eu metus. Fusce wisi. Fusce nibh. Donec ipsum massa, ullamcorper in, auctor et, scelerisque sed, est. Sed elit dui, pellentesque a, faucibus vel, interdum nec, diam. Aliquam erat volutpat. Nullam at arcu a est sollicitudin euismod. Morbi scelerisque luctus velit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Integer vulputate sem a nibh rutrum consequat. Vivamus porttitor turpis ac leo. Maecenas ipsum velit, consectetuer eu lobortis ut, dictum at dui. Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur? Praesent vitae arcu tempor neque lacinia pretium. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Aenean placerat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Cras elementum. Integer vulputate sem a nibh rutrum consequat. In convallis. Aenean id metus id velit ullamcorper pulvinar. Curabitur ligula sapien, pulvinar a vestibulum quis, facilisis vel sapien.',6,1,59,1,1200,0),(2,'Tvorba webové aplikace','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',4,1,59,1,1400,0),(3,'Administrativní klient pro systém SensLog','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',3,1,61,3,1100,0),(4,'Aplikace pro správu X.509 certifikátů','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',4,1,61,3,1500,0),(5,'Databáze slov a jejich tvarů','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',5,1,61,3,1200,0),(6,'Konfigurovatelný dashboard zobrazování senzorových dat','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',6,1,59,3,1100,0),(7,'Modularizovatelná webová aplikace s modulem pro správu cílů','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',7,1,61,3,1000,0),(8,'Převedení vizualizace scény pro rehabilitaci paže pomocí rehabilitačního robota do virtuální reality','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',4,1,61,3,1200,0),(9,'Rozšíření Genealogy pluginu','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',3,1,61,3,1200,0),(10,'Syntéza lidského hlasu','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',3,1,59,3,1200,0),(12,'Rehabilitační hra pro virtuální realitu','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',4,1,61,3,1200,0),(13,'Rozšíření aplikace pro detekci procesní anti-patternů','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',4,1,NULL,3,1100,0),(14,'Rozpoznávání obličejů','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis viverra diam non justo. In dapibus augue non sapien. Ut tempus purus at lorem. Integer in sapien. Etiam neque. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Pellentesque pretium lectus id turpis. Mauris dictum facilisis augue. Duis viverra diam non justo. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Quisque tincidunt scelerisque libero. Etiam dictum tincidunt diam. Nullam eget nisl. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Etiam neque. Aenean fermentum risus id tortor. Etiam quis quam. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Integer pellentesque quam vel velit. Duis condimentum augue id magna semper rutrum. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Fusce suscipit libero eget elit. Aenean id metus id velit ullamcorper pulvinar.',3,1,70,3,1200,0),(47,'Testování webové aplikace','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nullam faucibus mi quis velit. Aliquam erat volutpat. Nulla est. Quisque porta. Nulla accumsan, elit sit amet varius semper, nulla mauris mollis quam, tempor suscipit diam nulla vel leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Etiam sapien elit, consequat eget, tristique non, venenatis quis, ante. Curabitur ligula sapien, pulvinar a vestibulum quis, facilisis vel sapien.',7,1,NULL,39,1300,1),(48,'Skryté zadání pro testovací účely','Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nullam faucibus mi quis velit. Aliquam erat volutpat. Nulla est. Quisque porta. Nulla accumsan, elit sit amet varius semper, nulla mauris mollis quam, tempor suscipit diam nulla vel leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Etiam sapien elit, consequat eget, tristique non, venenatis quis, ante. Curabitur ligula sapien, pulvinar a vestibulum quis, facilisis vel sapien.',5,1,NULL,40,900,2),(49,'Extrakce úponových oblastí na povrchu 3D modelu kosti','Cras elementum. Aenean placerat. Duis bibendum, lectus ut viverra rhoncus, dolor nunc faucibus libero, eget facilisis enim ipsum id lacus. In enim a arcu imperdiet malesuada. Fusce wisi. In enim a arcu imperdiet malesuada. Etiam ligula pede, sagittis quis, interdum ultricies, scelerisque eu. Donec iaculis gravida nulla. Nullam dapibus fermentum ipsum. Duis ante orci, molestie vitae vehicula venenatis, tincidunt ac pede. Mauris suscipit, ligula sit amet pharetra semper, nibh ante cursus purus, vel sagittis velit mauris vel metus. Nullam dapibus fermentum ipsum. Duis condimentum augue id magna semper rutrum. Duis ante orci, molestie vitae vehicula venenatis, tincidunt ac pede. Praesent vitae arcu tempor neque lacinia pretium. Nullam lectus justo, vulputate eget mollis sed, tempor sed magna. Praesent in mauris eu tortor porttitor accumsan.',5,1,NULL,41,1200,0),(50,'Filtry ve zpracování medicínských obrazových dat','Proin in tellus sit amet nibh dignissim sagittis. Vivamus porttitor turpis ac leo. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Integer pellentesque quam vel velit. Aenean vel massa quis mauris vehicula lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Integer malesuada. Praesent in mauris eu tortor porttitor accumsan. Cras elementum. Proin pede metus, vulputate nec, fermentum fringilla, vehicula vitae, justo. Sed ac dolor sit amet purus malesuada congue. Vestibulum fermentum tortor id mi.',7,1,NULL,42,1250,0),(51,'Interaktivní vizualizace získaných dat','Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nullam lectus justo, vulputate eget mollis sed, tempor sed magna. Mauris tincidunt sem sed arcu. Etiam egestas wisi a erat. Aliquam erat volutpat. Nam sed tellus id magna elementum tincidunt. Morbi scelerisque luctus velit. Quisque porta. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Curabitur sagittis hendrerit ante. Aliquam erat volutpat.',7,1,NULL,43,1100,0),(52,'Neuronové sítě pro zpracování záznamů elektrické aktivity mozku','Vestibulum erat nulla, ullamcorper nec, rutrum non, nonummy ac, erat. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Nulla non arcu lacinia neque faucibus fringilla. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum erat nulla, ullamcorper nec, rutrum non, nonummy ac, erat. Fusce dui leo, imperdiet in, aliquam sit amet, feugiat eu, orci. Mauris elementum mauris vitae tortor. Nulla turpis magna, cursus sit amet, suscipit a, interdum id, felis. Donec ipsum massa, ullamcorper in, auctor et, scelerisque sed, est. Maecenas lorem. Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.',6,1,NULL,44,1400,0);
/*!40000 ALTER TABLE `ASSIGNMENT` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ASSIGNMENT_FILE`
--

DROP TABLE IF EXISTS `ASSIGNMENT_FILE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASSIGNMENT_FILE` (
                                   `id` int(11) NOT NULL AUTO_INCREMENT,
                                   `file` mediumblob NOT NULL,
                                   `upload_time` timestamp NULL DEFAULT current_timestamp(),
                                   `assignment_id` int(11) NOT NULL,
                                   `user_id` int(11) NOT NULL,
                                   `filename` text NOT NULL,
                                   `filesize` int(11) NOT NULL,
                                   PRIMARY KEY (`id`),
                                   UNIQUE KEY `assignment_id_UNIQUE` (`assignment_id`),
                                   KEY `fk_upload_user_idx` (`user_id`),
                                   KEY `fk_assighment_idx` (`assignment_id`),
                                   CONSTRAINT `fk_assighment_files_assignment` FOREIGN KEY (`assignment_id`) REFERENCES `ASSIGNMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                                   CONSTRAINT `fk_assignment_files_upload_user` FOREIGN KEY (`user_id`) REFERENCES `USER` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ASSIGNMENT_FILE`
--

LOCK TABLES `ASSIGNMENT_FILE` WRITE;
/*!40000 ALTER TABLE `ASSIGNMENT_FILE` DISABLE KEYS */;
/*!40000 ALTER TABLE `ASSIGNMENT_FILE` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ASSIGNMENT_INTEREST`
--

DROP TABLE IF EXISTS `ASSIGNMENT_INTEREST`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASSIGNMENT_INTEREST` (
                                       `assignment_id` int(11) NOT NULL,
                                       `team_id` int(11) NOT NULL,
                                       `created_time` datetime NOT NULL,
                                       `weight` int(1) NOT NULL DEFAULT 3,
                                       `state` int(1) NOT NULL DEFAULT 3,
                                       `mentor_evaluation` int(1) NOT NULL DEFAULT 0,
                                       PRIMARY KEY (`assignment_id`,`team_id`),
                                       UNIQUE KEY `team_id_weight_state` (`team_id`,`weight`,`state`),
                                       KEY `fk_team_idx` (`team_id`),
                                       CONSTRAINT `fk_assignment` FOREIGN KEY (`assignment_id`) REFERENCES `ASSIGNMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                                       CONSTRAINT `fk_team` FOREIGN KEY (`team_id`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ASSIGNMENT_INTEREST`
--

LOCK TABLES `ASSIGNMENT_INTEREST` WRITE;
/*!40000 ALTER TABLE `ASSIGNMENT_INTEREST` DISABLE KEYS */;
INSERT INTO `ASSIGNMENT_INTEREST` VALUES (3,15,'2022-04-19 16:33:26',1,3,0),(3,17,'2022-04-22 12:10:48',3,3,2),(6,16,'2022-04-19 16:34:05',5,3,0),(8,6,'2022-04-19 16:09:33',2,3,0),(9,6,'2022-04-19 16:09:42',3,3,0),(12,15,'2022-04-19 16:33:38',4,3,0);
/*!40000 ALTER TABLE `ASSIGNMENT_INTEREST` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ASSIGNMENT_TAG`
--

DROP TABLE IF EXISTS `ASSIGNMENT_TAG`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASSIGNMENT_TAG` (
                                  `assignment` int(11) NOT NULL,
                                  `tag_id` int(11) NOT NULL,
                                  PRIMARY KEY (`assignment`,`tag_id`),
                                  KEY `fk_tag_idx` (`tag_id`),
                                  CONSTRAINT `fk_assignment_tags_assignment` FOREIGN KEY (`assignment`) REFERENCES `ASSIGNMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                                  CONSTRAINT `fk_assignment_tags_tag` FOREIGN KEY (`tag_id`) REFERENCES `TAG` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ASSIGNMENT_TAG`
--

LOCK TABLES `ASSIGNMENT_TAG` WRITE;
/*!40000 ALTER TABLE `ASSIGNMENT_TAG` DISABLE KEYS */;
INSERT INTO `ASSIGNMENT_TAG` VALUES (1,2),(1,3),(1,5),(1,8),(1,11),(2,3),(2,6),(2,9),(2,11),(3,3),(3,6),(4,4),(4,9),(4,11),(5,1),(5,2),(5,5),(6,1),(6,4),(6,8),(7,5),(7,6),(8,7),(8,8),(9,9),(9,10),(47,1),(47,2),(47,11),(49,4),(49,5),(50,2),(50,7),(50,10),(50,11),(51,3),(51,7),(52,3);
/*!40000 ALTER TABLE `ASSIGNMENT_TAG` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CONTACT`
--

DROP TABLE IF EXISTS `CONTACT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CONTACT` (
                           `id` int(11) NOT NULL AUTO_INCREMENT,
                           `firstname` varchar(100) DEFAULT NULL,
                           `lastname` varchar(100) DEFAULT NULL,
                           `email` varchar(100) DEFAULT NULL,
                           `phone` varchar(45) DEFAULT NULL,
                           `info` tinytext DEFAULT NULL,
                           PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CONTACT`
--

LOCK TABLES `CONTACT` WRITE;
/*!40000 ALTER TABLE `CONTACT` DISABLE KEYS */;
INSERT INTO `CONTACT` VALUES (1,'Pavel','Herout','herout@kiv.zcu.cz','',''),(2,'Pan','Mentor','mentor@example.com',NULL,NULL),(3,'Pan','Garant','garant@example.com','',''),(4,'Sam','Mentor','aloneMentor@example.com',NULL,NULL),(5,'One','Mentor','oneMentor@example.com',NULL,NULL),(36,'Nový','Mentor','hintik@hintik.cz',NULL,NULL),(37,'Petr','Pan','hintik@icloud.com',NULL,NULL),(38,'Josef','Mentor','pepa@example.com',NULL,NULL),(39,'Petr','Dobrovolný','dobr@example.com','123456789','Jsem Petr Dobrovolný z firmy DobroSoft.'),(40,'Karel','Schovaný','schov@example.com','123456789','ne'),(41,'Karel','Vopršálek','kv@example.com','123456789','VK.sro'),(42,'Jaroslav','Rýnský','ryn@example.com','123456789',''),(43,'David','Drahý','dd@example.com','123456789',''),(44,'Václav','Elektrický','el@example.com','321654987',''),(45,'Mentor','Smazaný','menToDel@test.test',NULL,NULL);
/*!40000 ALTER TABLE `CONTACT` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `DEFENCE`
--

DROP TABLE IF EXISTS `DEFENCE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DEFENCE` (
                           `id` int(11) NOT NULL AUTO_INCREMENT,
                           `datetime` datetime NOT NULL DEFAULT current_timestamp(),
                           `evaluation` mediumtext DEFAULT NULL,
                           `grade` int(11) DEFAULT NULL,
                           `PROJECT` int(11) NOT NULL,
                           `attempt` int(5) NOT NULL,
                           `result` int(1) NOT NULL DEFAULT 0,
                           PRIMARY KEY (`id`),
                           KEY `fk_project_idx` (`PROJECT`),
                           CONSTRAINT `fk_defences_project` FOREIGN KEY (`PROJECT`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `DEFENCE`
--

LOCK TABLES `DEFENCE` WRITE;
/*!40000 ALTER TABLE `DEFENCE` DISABLE KEYS */;
INSERT INTO `DEFENCE` VALUES (6,'2021-10-06 02:36:08','Tým splnil všechny podmínky pro splnění předmětu.',2,4,1,2),(11,'2021-10-07 00:00:00',NULL,NULL,1,1,2),(12,'2022-04-05 00:00:00',NULL,NULL,1,2,1);
/*!40000 ALTER TABLE `DEFENCE` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `EVALUATION`
--

DROP TABLE IF EXISTS `EVALUATION`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `EVALUATION` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `evaluation` mediumtext NOT NULL,
                              `project` int(11) NOT NULL,
                              `author` int(11) NOT NULL,
                              PRIMARY KEY (`id`),
                              KEY `fk_project_idx` (`project`),
                              KEY `fk_author_idx` (`author`),
                              CONSTRAINT `fk_evaluation_author` FOREIGN KEY (`author`) REFERENCES `USER` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                              CONSTRAINT `fk_evaluation_project` FOREIGN KEY (`project`) REFERENCES `PROJECT` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `EVALUATION`
--

LOCK TABLES `EVALUATION` WRITE;
/*!40000 ALTER TABLE `EVALUATION` DISABLE KEYS */;
INSERT INTO `EVALUATION` VALUES (1,'Tým zpracoval funkční prototyp aplikace',1,12);
/*!40000 ALTER TABLE `EVALUATION` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `EXPERIENCE`
--

DROP TABLE IF EXISTS `EXPERIENCE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `EXPERIENCE` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `subject` varchar(45) NOT NULL,
                              `experience` varchar(45) NOT NULL,
                              `project_id` int(11) NOT NULL,
                              `state` int(1) NOT NULL DEFAULT 0,
                              `leader_state` int(1) NOT NULL DEFAULT 0,
                              `mentor_state` int(1) NOT NULL DEFAULT 0,
                              PRIMARY KEY (`id`),
                              KEY `fk_experience_project_idx` (`project_id`),
                              CONSTRAINT `fk_experience_project` FOREIGN KEY (`project_id`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `EXPERIENCE`
--

LOCK TABLES `EXPERIENCE` WRITE;
/*!40000 ALTER TABLE `EXPERIENCE` DISABLE KEYS */;
INSERT INTO `EXPERIENCE` VALUES (1,'KIV/OKS','Plán testování aplikace',1,3,1,2),(2,'KIV/PT','Algoritmy pro grafové úlohy',1,0,0,0),(3,'KIV/PRO','Backtracking algoritmy',1,1,0,1),(5,'KIV/OOP','Návrh dle návrhových vzorů',1,1,1,2),(6,'KIV/UPA','Využití struktury procesorů pro správnou inte',1,2,2,0),(7,'KIV/PPA2','Využití datových struktur',1,3,2,0),(8,'KIV/PPA2','Grafové struktury',1,0,0,1),(9,'KIV/PPA2','Využití datových struktur',7,0,0,1),(10,'KIV/PT','Algoritmus pro procházení grafu',7,0,0,1),(11,'KIV/ZSWI','Rozvrhnutí projektu',1,0,1,0),(12,'KIV/UMM','Testová zkušennost',2,0,2,0),(13,'KIV/UIR','Rozpoznávání mluveného slova',2,0,0,0),(14,'KIV/OOP','Návrhové vzory',2,0,1,0),(15,'KIV/OKS','Mimofunkční',2,0,2,1),(16,'KIV/PSA','Další zkušennost',2,0,0,0),(17,'KIV/PPA2','Dlouhý popis využití zkušennosti.',2,0,0,0),(18,'KIV/PSA','něco',4,0,0,3),(19,'KIV/PPA2','další něco',4,0,2,3),(20,'KIV/ZSWI','Plánování vývoje software',4,0,3,3),(27,'vv','Dlouhý popis využití zkušennosti.Dlouhý popis',2,0,0,0);
/*!40000 ALTER TABLE `EXPERIENCE` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `MEETING`
--

DROP TABLE IF EXISTS `MEETING`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MEETING` (
                           `id` int(11) NOT NULL AUTO_INCREMENT,
                           `project_id` int(11) NOT NULL,
                           `datetime` datetime NOT NULL,
                           `info` text NOT NULL,
                           `person` text NOT NULL,
                           `place` text NOT NULL,
                           `linking` varchar(45) DEFAULT NULL,
                           `detail_info` text DEFAULT NULL,
                           PRIMARY KEY (`id`),
                           KEY `fk_project_idx` (`project_id`),
                           CONSTRAINT `fk_meetings_project` FOREIGN KEY (`project_id`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `MEETING`
--

LOCK TABLES `MEETING` WRITE;
/*!40000 ALTER TABLE `MEETING` DISABLE KEYS */;
INSERT INTO `MEETING` VALUES (1,1,'2021-10-16 13:00:00','Konzultace designu aplikace','mentor','UC-311',NULL,NULL),(2,1,'2021-10-23 13:00:00','Prezentace stavu vývoje aplikace','mentor','ZOOM',NULL,NULL),(5,1,'2021-09-08 13:00:00','Seznámení se s týmem','mentor','Kavárna FAV',NULL,NULL),(6,1,'2021-10-20 00:00:00','Pokus','mentor','UC.304',NULL,NULL),(13,1,'2021-09-08 13:00:00','Zasedání výboru týmu','mentor','Kavárna FAV',NULL,NULL),(39,2,'2022-04-25 13:51:00','Oslava obhájení projektu','intern','CrossCafé','intern','Schůzka byla OK'),(40,2,'2022-07-24 09:00:00','Team building','intern','U Salzmanů','intern',''),(41,4,'2022-03-19 16:26:00','Téma','mentor','FAV','mentor',''),(42,5,'2022-03-20 10:54:00','Téma','mentor','FAV','mentor',NULL),(43,2,'2022-04-26 13:51:00','Oslava obhájení projektu','intern','CrossCafé','intern',''),(47,4,'2022-03-31 13:51:00','Team building','mentor','CrossCafé','mentor',NULL),(48,5,'2022-04-28 13:51:00','Průběžná schůzka týmu s mentorem','mentor','Studovna FAV','mentor','Schůzka byla OK'),(49,5,'2022-04-01 18:48:00','Téma','mentor','213','mentor',NULL),(50,4,'2022-07-24 09:00:00','Team building','mentor','U Salzmanů','mentor',NULL),(51,7,'2022-04-25 13:51:00','Oslava obhájení projektu','intern','CrossCafé','intern',''),(52,7,'2022-07-24 09:00:00','Team building','mentor','U Salzmanů','mentor',''),(54,4,'2022-04-24 20:11:00','Téma','intern','FAV','intern',NULL),(55,4,'2022-04-24 20:12:00','Téma','creator','FAV','creator',NULL);
/*!40000 ALTER TABLE `MEETING` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `PERIOD`
--

DROP TABLE IF EXISTS `PERIOD`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PERIOD` (
                          `id` int(11) NOT NULL AUTO_INCREMENT,
                          `label` text NOT NULL,
                          PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `PERIOD`
--

LOCK TABLES `PERIOD` WRITE;
/*!40000 ALTER TABLE `PERIOD` DISABLE KEYS */;
INSERT INTO `PERIOD` VALUES (1,'LS 21/22 - ZS 22/23'),(2,'LS 22/23 - ZS 23/24'),(3,'LS 23/24 - ZS 24/25'),(4,'Testovací ročník');
/*!40000 ALTER TABLE `PERIOD` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `PROGRESS`
--

DROP TABLE IF EXISTS `PROGRESS`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PROGRESS` (
                            `id` int(11) NOT NULL AUTO_INCREMENT,
                            `name` varchar(256) NOT NULL,
                            `order` int(11) NOT NULL DEFAULT 0,
                            PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `PROGRESS`
--

LOCK TABLES `PROGRESS` WRITE;
/*!40000 ALTER TABLE `PROGRESS` DISABLE KEYS */;
INSERT INTO `PROGRESS` VALUES (1,'Výběr vhodných nástrojů pro vývoj i vedení projektu',11),(2,'Počáteční schůzka s mentorem a zadavatelem',8),(3,'Kontrolní schůzka',6),(4,'Závěrečná schůzka s mentorem a zadavatelem',5),(5,'Ukládání mezivýsledků projektu do předem definovaného úložiště',7),(6,'Předání výsledků projektu zadavateli',2),(7,'Vytvořená prezentace výsledků projektu jako součást obhajoby',1),(8,'Odkaz na úložiště',10),(9,'Odkaz na softwarové řízení projektu',9),(10,'Odkaz na dokument předání výsledků zadavateli',4),(11,'Odkaz na prezentaci výsledků projektu',3);
/*!40000 ALTER TABLE `PROGRESS` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `PROGRESS_STATE`
--

DROP TABLE IF EXISTS `PROGRESS_STATE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PROGRESS_STATE` (
                                  `project_id` int(11) NOT NULL,
                                  `progress_id` int(11) NOT NULL,
                                  `state` int(1) NOT NULL DEFAULT 0,
                                  `leader_state` int(1) NOT NULL DEFAULT 0,
                                  `mentor_state` int(1) NOT NULL DEFAULT 0,
                                  PRIMARY KEY (`project_id`,`progress_id`),
                                  KEY `fs_progress_progress_idx` (`progress_id`),
                                  CONSTRAINT `fk_progress_project` FOREIGN KEY (`project_id`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                                  CONSTRAINT `fs_progress_progress` FOREIGN KEY (`progress_id`) REFERENCES `PROGRESS` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `PROGRESS_STATE`
--

LOCK TABLES `PROGRESS_STATE` WRITE;
/*!40000 ALTER TABLE `PROGRESS_STATE` DISABLE KEYS */;
INSERT INTO `PROGRESS_STATE` VALUES (1,1,2,1,1),(1,2,1,2,1),(1,3,1,2,2),(1,4,0,2,1),(1,5,2,1,0),(1,6,0,0,2),(1,7,0,1,2),(1,8,1,2,1),(1,9,0,0,2),(1,10,3,0,1),(1,11,0,2,0),(2,1,0,1,1),(2,2,0,0,2),(2,3,0,2,0),(2,4,0,2,1),(2,5,0,2,0),(2,6,0,0,2),(2,7,0,3,0),(2,8,0,2,0),(2,9,0,1,0),(2,11,0,2,2),(4,1,0,2,2),(4,2,2,3,0),(4,3,0,3,0),(4,4,0,3,1),(4,5,0,3,0),(4,6,0,3,0),(4,7,0,3,1),(4,8,0,3,1),(4,9,2,2,0),(4,10,0,3,0),(4,11,0,3,2),(7,1,0,0,2),(7,3,0,0,2),(7,5,0,0,1),(7,6,0,0,2),(7,7,0,0,1),(7,8,0,0,1);
/*!40000 ALTER TABLE `PROGRESS_STATE` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `PROJECT`
--

DROP TABLE IF EXISTS `PROJECT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PROJECT` (
                           `id` int(11) NOT NULL AUTO_INCREMENT,
                           `assignment_id` int(11) NOT NULL,
                           `team_id` int(11) NOT NULL,
                           `prj_storage` varchar(255) DEFAULT NULL,
                           `project_management` varchar(255) DEFAULT NULL,
                           `app_production` varchar(255) DEFAULT NULL,
                           `other_links` text DEFAULT NULL,
                           `completion_status` int(1) NOT NULL DEFAULT 0,
                           `course_credit_tsp1` datetime DEFAULT NULL,
                           `course_credit_tsp2` datetime DEFAULT NULL,
                           `start_date` datetime NOT NULL DEFAULT current_timestamp(),
                           PRIMARY KEY (`id`),
                           UNIQUE KEY `assignment_id_UNIQUE` (`assignment_id`),
                           UNIQUE KEY `team_id_UNIQUE` (`team_id`),
                           KEY `fk_assignment_idx` (`assignment_id`),
                           KEY `fk_team_idx` (`team_id`),
                           CONSTRAINT `fk_projects_assignment` FOREIGN KEY (`assignment_id`) REFERENCES `ASSIGNMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                           CONSTRAINT `fk_projects_team` FOREIGN KEY (`team_id`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `PROJECT`
--

LOCK TABLES `PROJECT` WRITE;
/*!40000 ALTER TABLE `PROJECT` DISABLE KEYS */;
INSERT INTO `PROJECT` VALUES (1,2,1,'','https://www.redmine.org','','',2,'2022-06-10 00:00:00','2022-12-18 00:00:00','2021-10-02 15:42:23'),(2,10,2,'','','','',1,NULL,NULL,'2021-10-02 15:42:23'),(4,4,4,'https://github.com/','','https://pstsp.hintik.cz/','PSTSP;https://pstsp.hintik.cz/\nGUTHIB;https://guthib.com/\nPPPPP;https://pstsp.hintik.cz/\n',0,NULL,NULL,'2021-10-02 15:42:23'),(5,5,5,NULL,NULL,NULL,NULL,0,NULL,NULL,'2021-10-02 15:42:23'),(7,7,7,NULL,NULL,NULL,NULL,0,NULL,NULL,'2021-10-02 15:42:23'),(8,14,3,NULL,NULL,NULL,NULL,0,NULL,NULL,'2021-01-23 10:13:16');
/*!40000 ALTER TABLE `PROJECT` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `REQUIREMENT`
--

DROP TABLE IF EXISTS `REQUIREMENT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `REQUIREMENT` (
                               `id` int(11) NOT NULL AUTO_INCREMENT,
                               `name` varchar(255) NOT NULL,
                               `order` int(11) NOT NULL DEFAULT 0,
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `REQUIREMENT`
--

LOCK TABLES `REQUIREMENT` WRITE;
/*!40000 ALTER TABLE `REQUIREMENT` DISABLE KEYS */;
INSERT INTO `REQUIREMENT` VALUES (1,'Popis potřeb zákazníka',0),(2,'Plán projektu',0),(3,'Testování',0),(4,'Dokumentace návrhu',0),(5,'Průběžné záznamy',0),(6,'Release produktu',0);
/*!40000 ALTER TABLE `REQUIREMENT` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `REQUIREMENT_STATE`
--

DROP TABLE IF EXISTS `REQUIREMENT_STATE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `REQUIREMENT_STATE` (
                                     `project_id` int(11) NOT NULL,
                                     `requirement_id` int(11) NOT NULL,
                                     `state` int(1) NOT NULL DEFAULT 0,
                                     `leader_state` int(1) NOT NULL DEFAULT 0,
                                     `mentor_state` int(1) NOT NULL DEFAULT 0,
                                     PRIMARY KEY (`requirement_id`,`project_id`),
                                     KEY `fk_project_idx` (`project_id`),
                                     KEY `fk_requirements_requirement_idx` (`requirement_id`),
                                     CONSTRAINT `fk_requirements_project` FOREIGN KEY (`project_id`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                                     CONSTRAINT `fs_requirements_requirement` FOREIGN KEY (`requirement_id`) REFERENCES `REQUIREMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `REQUIREMENT_STATE`
--

LOCK TABLES `REQUIREMENT_STATE` WRITE;
/*!40000 ALTER TABLE `REQUIREMENT_STATE` DISABLE KEYS */;
INSERT INTO `REQUIREMENT_STATE` VALUES (1,1,1,1,2),(2,1,1,2,2),(4,1,0,3,0),(5,1,0,0,2),(7,1,0,0,1),(1,2,1,0,1),(2,2,1,0,2),(4,2,2,3,3),(5,2,0,0,1),(7,2,0,0,2),(1,3,0,1,1),(2,3,0,2,1),(4,3,0,3,3),(1,4,1,2,0),(2,4,0,2,1),(4,4,0,3,3),(1,5,2,2,2),(2,5,0,0,0),(4,5,2,3,3),(1,6,3,0,2),(2,6,0,2,2),(4,6,0,3,3);
/*!40000 ALTER TABLE `REQUIREMENT_STATE` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ROLE`
--

DROP TABLE IF EXISTS `ROLE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ROLE` (
                        `id` int(11) NOT NULL AUTO_INCREMENT,
                        `name` varchar(100) NOT NULL,
                        `color` varchar(100) NOT NULL,
                        PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ROLE`
--

LOCK TABLES `ROLE` WRITE;
/*!40000 ALTER TABLE `ROLE` DISABLE KEYS */;
INSERT INTO `ROLE` VALUES (1,'Garant','badge-danger'),(2,'Mentor','badge-warning'),(3,'Vedoucí','badge-success');
/*!40000 ALTER TABLE `ROLE` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SETTING`
--

DROP TABLE IF EXISTS `SETTING`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SETTING` (
                           `key` varchar(128) NOT NULL,
                           `value` varchar(256) NOT NULL,
                           PRIMARY KEY (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SETTING`
--

LOCK TABLES `SETTING` WRITE;
/*!40000 ALTER TABLE `SETTING` DISABLE KEYS */;
INSERT INTO `SETTING` VALUES ('actual_period','1');
/*!40000 ALTER TABLE `SETTING` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `STUDENT`
--

DROP TABLE IF EXISTS `STUDENT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `STUDENT` (
                           `id` int(11) NOT NULL AUTO_INCREMENT,
                           `login` varchar(45) DEFAULT NULL,
                           `firstname` varchar(45) DEFAULT NULL,
                           `lastname` varchar(45) DEFAULT NULL,
                           `personalID` varchar(45) DEFAULT NULL,
                           `email` varchar(200) DEFAULT NULL,
                           `field_of_study` tinytext DEFAULT NULL,
                           `faculty` varchar(45) DEFAULT NULL,
                           `team_id` int(11) DEFAULT NULL,
                           `period_id` int(11) NOT NULL,
                           PRIMARY KEY (`id`),
                           KEY `fk_student_team_idx` (`team_id`),
                           KEY `email` (`email`(191)),
                           KEY `fk_student_period_idx` (`period_id`),
                           CONSTRAINT `fk_student_period` FOREIGN KEY (`period_id`) REFERENCES `PERIOD` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                           CONSTRAINT `fk_student_team` FOREIGN KEY (`team_id`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=774 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `STUDENT`
--

LOCK TABLES `STUDENT` WRITE;
/*!40000 ALTER TABLE `STUDENT` DISABLE KEYS */;
INSERT INTO `STUDENT` VALUES (130,'benesomi','Michaela','BENEŠOVÁ','A19B0008P','benesomi@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(131,'bubikdav','David','BUBIK','A19B0015P','bubikdav@students.zcu.cz','Informatika a výpočetní technika','FAV',17,1),(132,'dcifka20','Daniel','CÍFKA','A19B0021P','dcifka20@students.zcu.cz','Informatika a výpočetní technika','FAV',1,1),(133,'cacha','Pavel','ČÁCHA','A19B0022P','cacha@students.zcu.cz','Informatika a výpočetní technika','FAV',17,1),(134,'dinhgos','Xuan Toan','DINH','A19B0027P','dinhgos@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(135,'m003d','Michal','DVOŘÁK','A19B0032P','m003d@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(136,'jfafek','Jakub','FAFEK','A19B0034P','jfafek@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(137,'freipe','Petr','FREI','A19B0042P','freipe@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(138,'hejmanj','Jakub','HEJMAN','A19B0049P','hejmanj@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(139,'harry','Jan','HEREŠ','A19B0051P','harry@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(140,'hintik','Jan','HINTERHOLZINGER','A19B0052P','hintik@students.zcu.cz','Informatika a výpočetní technika','FAV',1,1),(141,'holickyp','Petr','HOLICKÝ','A19B0056P','holickyp@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(142,'mholubec','Matěj','HOLUBEC','A20B0104P','mholubec@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(143,'hrabikv','Václav','HRABÍK','A19B0061P','hrabikv@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(144,'hrkalovh','Hana','HRKALOVÁ','A19B0064P','hrkalovh@students.zcu.cz','Informatika a výpočetní technika','FAV',6,1),(145,'chodoraj','Jan','CHODORA','A19B0066P','chodoraj@students.zcu.cz','Informatika a výpočetní technika','FAV',17,1),(146,'churavyj','Jakub','CHURAVÝ','A18B0214P','churavyj@students.zcu.cz','Inženýrská informatika','FAV',17,1),(147,'mjakubas','Martin','JAKUBAŠEK','A19B0069P','mjakubas@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(148,'jezdo0','Dominik','JEŽ','A19B0078P','jezdo0@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(149,'kadlecim','Marián','KADLEČÍK','A19B0083P','kadlecim@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(150,'keslra','Radomír','KESL','A19B0088P','keslra@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(151,'tkment','Tomáš','KMENT','A19B0091P','tkment@students.zcu.cz','Informatika a výpočetní technika','FAV',7,1),(152,'koroon','Ondřej','KOROČINSKÝ','A19B0096P','koroon@students.zcu.cz','Informatika a výpočetní technika','FAV',7,1),(153,'vikkot','Viktor','KOTLAN','A19B0097P','vikkot@students.zcu.cz','Informatika a výpočetní technika','FAV',7,1),(154,'vkovarov','Vít','KOVAROVIČ','A19B0099P','vkovarov@students.zcu.cz','Informatika a výpočetní technika','FAV',7,1),(155,'kovarm','Miloslav','KOVÁŘ','A20B0148P','kovarm@students.zcu.cz','Informatika a výpočetní technika','FAV',7,1),(156,'jkrajnak','Jan','KRAJŇÁK','A19B0103P','jkrajnak@students.zcu.cz','Informatika a výpočetní technika','FAV',7,1),(157,'krystyno','Ondřej','KRYSTYN','A19B0110P','krystyno@students.zcu.cz','Informatika a výpočetní technika','FAV',7,1),(158,'kubala','Jan','KUBALA','A19B0113P','kubala@students.zcu.cz','Informatika a výpočetní technika','FAV',5,1),(159,'kubiceja','Jan','KUBICE','A19B0114P','kubiceja@students.zcu.cz','Informatika a výpočetní technika','FAV',5,1),(160,'dkuta','David','KŮTA','A19B0118P','dkuta@students.zcu.cz','Informatika a výpočetní technika','FAV',5,1),(161,'leheckaj','Jaroslav','LEHEČKA','A19B0121P','leheckaj@students.zcu.cz','Informatika a výpočetní technika','FAV',5,1),(162,'levoram','Miroslav','LEVORA','A19B0122P','levoram@students.zcu.cz','Informatika a výpočetní technika','FAV',5,1),(163,'maturao','Ondřej','MATURA','A19B0135P','maturao@students.zcu.cz','Informatika a výpočetní technika','FAV',1,1),(164,'dmoravek','David','MORÁVEK','A19B0141P','dmoravek@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(165,'motlm','Matěj','MOTL','A19B0142P','motlm@students.zcu.cz','Informatika a výpočetní technika','FAV',4,1),(166,'muhrd','David','MUHR','A19B0144P','muhrd@students.zcu.cz','Informatika a výpočetní technika','FAV',4,1),(167,'orlovsky','Tomáš','ORLOVSKÝ','A20B0199P','orlovsky@students.zcu.cz','Informatika a výpočetní technika','FAV',4,1),(168,'ourednij','Josef','OUŘEDNÍK','A19B0153P','ourednij@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(169,'papirnik','Tomáš','PAPÍRNÍK','A19B0155P','papirnik@students.zcu.cz','Informatika a výpočetní technika','FAV',15,1),(170,'pelikanj','Jan','PELIKÁN','A19B0157P','pelikanj@students.zcu.cz','Informatika a výpočetní technika','FAV',NULL,1),(173,'honzar','Jan','RÁDL','A19B0176P','honzar@students.zcu.cz','Informatika a výpočetní technika','FAV',3,1),(174,'rampulam','Matěj','RAMPULA','A19B0178P','rampulam@students.zcu.cz','Informatika a výpočetní technika','FAV',3,1),(175,'vreznice','Václav','ŘEZNÍČEK','A19B0183P','vreznice@students.zcu.cz','Informatika a výpočetní technika','FAV',3,1),(176,'jschodlb','Jiří','SCHÖDLBAUER','A19B0187P','jschodlb@students.zcu.cz','Informatika a výpočetní technika','FAV',6,1),(177,'sochorec','Matěj','SOCHOREC','A19B0194P','sochorec@students.zcu.cz','Informatika a výpočetní technika','FAV',16,1),(178,'simava','Václav','ŠÍMA','A19B0203P','simava@students.zcu.cz','Informatika a výpočetní technika','FAV',6,1),(179,'jsmahy','Jakub','ŠMRHA','A19B0206P','jsmahy@students.zcu.cz','Informatika a výpočetní technika','FAV',2,1),(180,'stricz','Patrik','ŠTRICZ','A19B0207P','stricz@students.zcu.cz','Informatika a výpočetní technika','FAV',6,1),(181,'rsvamber','Radek','ŠVAMBERG','A19B0211P','rsvamber@students.zcu.cz','Informatika a výpočetní technika','FAV',2,1),(182,'ptomsik','Petr','TOMŠÍK','A18B0334P','ptomsik@students.zcu.cz','Inženýrská informatika','FAV',2,1),(183,'tranduya','Duy Anh','TRAN','A20B0257P','tranduya@students.zcu.cz','Informatika a výpočetní technika','FAV',1,1),(184,'urbanp','Petr','URBAN','A19B0218P','urbanp@students.zcu.cz','Informatika a výpočetní technika','FAV',2,1),(185,'voborilb','Barbora','VOBOŘILOVÁ','A19B0226P','voborilb@students.zcu.cz','Informatika a výpočetní technika','FAV',2,1),(186,'vykydalt','Tomáš','VYKYDAL','A19B0229P','vykydalt@students.zcu.cz','Informatika a výpočetní technika','FAV',1,1),(193,'leader','Pan','Vedoucí','AxxBxxxxP','leader@example.zcu.cz','Informatika a výpočetní technika','FAV',2,1),(771,'studToDel','Student','Smazaný','A12V2144P','studSmaz@example.test','','',NULL,1),(772,'secondStudToDel','Druhý','Kmazání','A15C1022P','secondStudToDel@example.tst','','',18,1),(773,'studToLead','Student','BudVedoucí','A15B1011C','studToLead@example.com','','',NULL,1);
/*!40000 ALTER TABLE `STUDENT` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TAG`
--

DROP TABLE IF EXISTS `TAG`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TAG` (
                       `id` int(11) NOT NULL AUTO_INCREMENT,
                       `name` tinytext NOT NULL,
                       `applicable` int(1) NOT NULL DEFAULT 1,
                       PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TAG`
--

LOCK TABLES `TAG` WRITE;
/*!40000 ALTER TABLE `TAG` DISABLE KEYS */;
INSERT INTO `TAG` VALUES (1,'Java',1),(2,'PHP',1),(3,'Python',1),(4,'C',1),(5,'C++',1),(6,'C#',1),(7,'JavaScript',1),(8,'HTML',1),(9,'CSS',1),(10,'Frontend',1),(11,'Backend',1);
/*!40000 ALTER TABLE `TAG` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TEAM`
--

DROP TABLE IF EXISTS `TEAM`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TEAM` (
                        `id` int(11) NOT NULL AUTO_INCREMENT,
                        `student_id` int(11) NOT NULL COMMENT 'leader',
                        `period` int(11) NOT NULL,
                        `name` varchar(255) NOT NULL,
                        `is_complete` tinyint(1) NOT NULL DEFAULT 0,
                        PRIMARY KEY (`id`),
                        KEY `fk_team_leader_idx` (`student_id`),
                        KEY `fk_team_period_idx` (`period`),
                        CONSTRAINT `fk_teams_period` FOREIGN KEY (`period`) REFERENCES `PERIOD` (`id`) ON UPDATE CASCADE,
                        CONSTRAINT `fk_teams_student` FOREIGN KEY (`student_id`) REFERENCES `STUDENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TEAM`
--

LOCK TABLES `TEAM` WRITE;
/*!40000 ALTER TABLE `TEAM` DISABLE KEYS */;
INSERT INTO `TEAM` VALUES (1,140,1,'Mazáci',1),(2,193,1,'Nejlepší kodéři',1),(3,173,1,'Jedničky',1),(4,165,1,'Dobrá trojka',1),(5,158,1,'Pět skvělých programátorů',1),(6,180,1,'Čtyři stateční',0),(7,153,1,'Sedm statečných',1),(15,169,1,'Papírníci',0),(16,177,1,'Tým bez tématu Soch',0),(17,133,1,'Vždycky bez tématu',0),(18,772,1,'Tým ke smazání',0);
/*!40000 ALTER TABLE `TEAM` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TEAM_ROLE`
--

DROP TABLE IF EXISTS `TEAM_ROLE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TEAM_ROLE` (
                             `id` int(11) NOT NULL AUTO_INCREMENT,
                             `label` varchar(45) DEFAULT NULL,
                             `color` varchar(45) DEFAULT NULL,
                             `applicable` int(1) NOT NULL DEFAULT 1,
                             PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TEAM_ROLE`
--

LOCK TABLES `TEAM_ROLE` WRITE;
/*!40000 ALTER TABLE `TEAM_ROLE` DISABLE KEYS */;
INSERT INTO `TEAM_ROLE` VALUES (1,'Programátor','badge-primary',1),(2,'Tester','badge-warning',1),(3,'Dokumentarista','badge-success',1),(4,'Grafik','badge-info',1),(6,'Designer','badge-info',1),(8,'Testovací role','bg-orange',1);
/*!40000 ALTER TABLE `TEAM_ROLE` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TEAM_ROLE_STUDENT`
--

DROP TABLE IF EXISTS `TEAM_ROLE_STUDENT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TEAM_ROLE_STUDENT` (
                                     `id` int(11) NOT NULL AUTO_INCREMENT,
                                     `student_id` int(11) NOT NULL,
                                     `team_role_id` int(11) NOT NULL,
                                     PRIMARY KEY (`id`),
                                     KEY `fk_USER_TEAM_ROLE_student_idx` (`student_id`),
                                     KEY `fk_USER_TEAM_ROLE_role_idx` (`team_role_id`),
                                     CONSTRAINT `fk_USER_TEAM_ROLE_role` FOREIGN KEY (`team_role_id`) REFERENCES `TEAM_ROLE` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                                     CONSTRAINT `fk_USER_TEAM_ROLE_student` FOREIGN KEY (`student_id`) REFERENCES `STUDENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TEAM_ROLE_STUDENT`
--

LOCK TABLES `TEAM_ROLE_STUDENT` WRITE;
/*!40000 ALTER TABLE `TEAM_ROLE_STUDENT` DISABLE KEYS */;
INSERT INTO `TEAM_ROLE_STUDENT` VALUES (1,133,3),(2,133,4),(3,145,2),(4,145,6);
/*!40000 ALTER TABLE `TEAM_ROLE_STUDENT` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TEAM_SKILL`
--

DROP TABLE IF EXISTS `TEAM_SKILL`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TEAM_SKILL` (
                              `teams_id` int(11) NOT NULL,
                              `tags_id` int(11) NOT NULL,
                              `weight` int(11) NOT NULL DEFAULT 1,
                              PRIMARY KEY (`teams_id`,`tags_id`),
                              KEY `fk_tag_idx` (`tags_id`),
                              CONSTRAINT `fk_team_skills_tag` FOREIGN KEY (`tags_id`) REFERENCES `TAG` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                              CONSTRAINT `fk_team_skills_team` FOREIGN KEY (`teams_id`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TEAM_SKILL`
--

LOCK TABLES `TEAM_SKILL` WRITE;
/*!40000 ALTER TABLE `TEAM_SKILL` DISABLE KEYS */;
INSERT INTO `TEAM_SKILL` VALUES (1,1,1),(1,2,1),(1,5,1),(3,2,1),(3,3,1),(4,4,1),(4,5,1),(5,6,1),(5,7,1),(6,8,1),(6,9,1),(7,5,1),(7,10,1);
/*!40000 ALTER TABLE `TEAM_SKILL` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TERM`
--

DROP TABLE IF EXISTS `TERM`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TERM` (
                        `id` int(11) NOT NULL AUTO_INCREMENT,
                        `name` varchar(45) NOT NULL,
                        `date` date NOT NULL,
                        `description` mediumtext NOT NULL,
                        PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TERM`
--

LOCK TABLES `TERM` WRITE;
/*!40000 ALTER TABLE `TERM` DISABLE KEYS */;
INSERT INTO `TERM` VALUES (1,'Termín odevzdání struktury aplikace','2021-11-13','Tým musí do termínu zkonzultovat s mentorem svoji vypracovanou strukturou aplikace');
/*!40000 ALTER TABLE `TERM` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `USER`
--

DROP TABLE IF EXISTS `USER`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `USER` (
                        `id` int(11) NOT NULL AUTO_INCREMENT,
                        `login` varchar(45) NOT NULL,
                        `password` varchar(100) DEFAULT NULL,
                        `lastlogin` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
                        `role_id` int(11) NOT NULL DEFAULT 3,
                        `student_id` int(11) DEFAULT NULL,
                        `contact_id` int(11) DEFAULT NULL,
                        `recover_token` varchar(256) DEFAULT NULL,
                        `recover_token_valid_time` timestamp NULL DEFAULT NULL,
                        `email` varchar(256) NOT NULL,
                        `created_time` timestamp NOT NULL DEFAULT current_timestamp(),
                        `can_login` int(1) NOT NULL DEFAULT 1,
                        PRIMARY KEY (`id`),
                        KEY `fk_user_student_idx` (`student_id`),
                        KEY `fk_user_role_idx` (`role_id`),
                        KEY `fk_user_contact_idx` (`contact_id`),
                        KEY `recover_token` (`recover_token`(191)),
                        KEY `login` (`login`),
                        KEY `email` (`email`(191)),
                        CONSTRAINT `fk_user_contact` FOREIGN KEY (`contact_id`) REFERENCES `CONTACT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                        CONSTRAINT `fk_user_role` FOREIGN KEY (`role_id`) REFERENCES `ROLE` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
                        CONSTRAINT `fk_user_student` FOREIGN KEY (`student_id`) REFERENCES `STUDENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `USER`
--

LOCK TABLES `USER` WRITE;
/*!40000 ALTER TABLE `USER` DISABLE KEYS */;
INSERT INTO `USER` VALUES (12,'hintik','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-19 14:00:56',3,140,NULL,'I3UyBSp3ZyMM0WwJKNkpgrKb2K22203yY0vQwDpDVqnPQ6W1lb7l6Jap09fkIO7c','2022-03-31 15:15:30','hintik@students.zcu.cz','2022-03-15 10:56:16',1),(32,'dkuta','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-08 14:44:58',3,160,NULL,'',NULL,'dkuta@students.zcu.cz','2022-03-15 10:56:16',0),(59,'herout','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-19 14:01:02',2,NULL,1,'',NULL,'herout@kiv.zcu.cz','2022-03-15 10:56:16',1),(60,'garant','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-15 06:16:09',1,NULL,3,'',NULL,'garant@example.com','2022-03-15 10:56:16',1),(61,'mentor','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-30 14:21:01',2,NULL,2,'',NULL,'mentor@example.com','2022-03-15 10:56:16',1),(62,'leader','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-15 06:16:09',3,193,NULL,'',NULL,'leader@example.com','2022-03-15 10:56:16',1),(63,'honzar','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-15 06:16:09',3,173,NULL,'',NULL,'honzar@students.zcu.cz','2022-03-15 10:56:16',1),(64,'motlm','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-15 06:16:09',3,165,NULL,'',NULL,'motlm@students.zcu.cz','2022-03-15 10:56:16',1),(65,'kubala','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-15 06:16:09',3,158,NULL,'',NULL,'kubala@students.zcu.cz','2022-03-15 10:56:16',1),(66,'stricz','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-15 06:16:09',3,180,NULL,'',NULL,'stricz@students.zcu.cz','2022-03-15 10:56:16',1),(67,'vikkot','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-15 06:16:09',3,153,NULL,'',NULL,'vikkot@students.zcu.cz','2022-03-15 10:56:16',1),(68,'aloneMentor','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-24 11:22:11',2,NULL,4,NULL,NULL,'aloneMentor@example.com','2022-03-15 10:56:16',1),(70,'oneMentor','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-03-28 20:27:57',2,NULL,5,NULL,NULL,'oneMentor@example.com','2022-03-15 10:56:16',1),(76,'newmentor','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-19 14:01:22',2,NULL,36,NULL,NULL,'hintik@hintik.cz','2022-04-04 20:38:58',1),(77,'hinter','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-19 14:01:30',2,NULL,37,NULL,NULL,'hintik@icloud.com','2022-04-06 09:07:56',1),(78,'papirnik','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-06 09:25:13',3,169,NULL,NULL,NULL,'papirnik@students.zcu.cz','2022-04-06 09:21:59',1),(79,'sochorec','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-06 14:53:37',3,177,NULL,NULL,NULL,'sochorec@students.zcu.cz','2022-04-06 09:24:35',1),(82,'cacha','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-21 18:26:39',3,133,NULL,NULL,NULL,'cacha@students.zcu.cz','2022-04-21 18:25:46',1),(83,'menToDel','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-22 10:13:32',2,NULL,45,NULL,NULL,'menToDel@test.test','2022-04-22 09:27:15',1),(84,'secondStudToDel','$2a$10$y63x.4RDNBNnMDQPnhSikOp8CjupfJoTQ1NTjRS9vIw8TYPOwoQDe','2022-04-22 10:15:25',3,772,NULL,NULL,NULL,'secondStudToDel@example.tst','2022-04-22 10:14:38',1);
/*!40000 ALTER TABLE `USER` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `WORKLOG`
--

DROP TABLE IF EXISTS `WORKLOG`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `WORKLOG` (
                           `id` int(11) NOT NULL,
                           `TEAM` int(11) NOT NULL,
                           `text` longtext NOT NULL,
                           `datetime` datetime NOT NULL,
                           PRIMARY KEY (`id`),
                           KEY `fk_team_idx` (`TEAM`),
                           CONSTRAINT `fk_worklog_team` FOREIGN KEY (`TEAM`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `WORKLOG`
--

LOCK TABLES `WORKLOG` WRITE;
/*!40000 ALTER TABLE `WORKLOG` DISABLE KEYS */;
INSERT INTO `WORKLOG` VALUES (1,1,'Hlášení za 1. týden semestru. Bylo vybráno zadání a byla zpracována strategie plnění cílů. Tým se mezitím seznámil a sepsali jsme své dovecnosti do softwarové podpory.','2021-10-01 21:11:52');
/*!40000 ALTER TABLE `WORKLOG` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2022-04-22 12:18:05
